<html>
<head>
<title>OGRE: Class Members - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="namespaces.html"><span>Namespace List</span></a></li>
    <li class="current"><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li class="current"><a href="namespacemembers.html"><span>All</span></a></li>
    <li><a href="namespacemembers_func.html"><span>Functions</span></a></li>
    <li><a href="namespacemembers_vars.html"><span>Variables</span></a></li>
    <li><a href="namespacemembers_type.html"><span>Typedefs</span></a></li>
    <li><a href="namespacemembers_enum.html"><span>Enumerations</span></a></li>
    <li><a href="namespacemembers_eval.html"><span>Enumerator</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="namespacemembers.html#index__"><span>_</span></a></li>
    <li><a href="namespacemembers_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="namespacemembers_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="namespacemembers_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="namespacemembers_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="namespacemembers_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="namespacemembers_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="namespacemembers_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="namespacemembers_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="namespacemembers_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="namespacemembers_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="namespacemembers_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="namespacemembers_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="namespacemembers_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="namespacemembers_0x72.html#index_r"><span>r</span></a></li>
    <li class="current"><a href="namespacemembers_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="namespacemembers_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="namespacemembers_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="namespacemembers_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="namespacemembers_0x77.html#index_w"><span>w</span></a></li>
  </ul>
</div>

<p>
Here is a list of all namespace members with links to the namespace documentation for each member:
<p>
<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
<li>SBF_DEST_ALPHA
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213374792bd937134c4ca2aad748661c22c">Ogre</a>
<li>SBF_DEST_COLOUR
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213ffe55d98f2cd26e9451af52dbc74f7b2">Ogre</a>
<li>SBF_ONE
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213d2741858a9d9f668a47ea75b82ae0318">Ogre</a>
<li>SBF_ONE_MINUS_DEST_ALPHA
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b428722131d772950d5ec934776bbc1d39782a42d">Ogre</a>
<li>SBF_ONE_MINUS_DEST_COLOUR
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b428722137ea50d3d5960138db1c46ecb42f94969">Ogre</a>
<li>SBF_ONE_MINUS_SOURCE_ALPHA
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b4287221309184af2d875978d03c6edd00d4d52f9">Ogre</a>
<li>SBF_ONE_MINUS_SOURCE_COLOUR
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b4287221393b05f61a5076cf0f649ac5d656970fe">Ogre</a>
<li>SBF_SOURCE_ALPHA
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b428722135b1a11e0ec0d1cf0bdab0176cca26eea">Ogre</a>
<li>SBF_SOURCE_COLOUR
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213ec796e9f58f4cce849379f0239e059a6">Ogre</a>
<li>SBF_ZERO
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b4287221304732209b3c7a16b5f0a2c829e6f6c34">Ogre</a>
<li>SBT_ADD
: <a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9afa3ba1b1c044f8c0cb09bc41582024d4">Ogre</a>
<li>SBT_MODULATE
: <a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9a7aed8ef0038f0a0a5f6634ba4080b513">Ogre</a>
<li>SBT_REPLACE
: <a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9ab6672abe57fa6051e9ab57d51975d244">Ogre</a>
<li>SBT_TRANSPARENT_ALPHA
: <a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9a8df6dd8b7710971196000da11b5ab114">Ogre</a>
<li>SBT_TRANSPARENT_COLOUR
: <a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9ab57b2cf11c74056c5109fce1efa37a05">Ogre</a>
<li>SceneBlendFactor
: <a class="el" href="namespaceOgre.html#41c76d419d6c9c205a6c1d3b42872213">Ogre</a>
<li>SceneBlendType
: <a class="el" href="namespaceOgre.html#c46c60cf6e5c199220e3b8f26570cb9a">Ogre</a>
<li>SceneQueryMovableIntersectionList
: <a class="el" href="namespaceOgre.html#aa1601dd915ea1b91530e88825dbfd2b">Ogre</a>
<li>SceneQueryMovableObjectPair
: <a class="el" href="namespaceOgre.html#a1ca4f17a1e8bb7381446ae6235869d8">Ogre</a>
<li>SceneQueryMovableObjectWorldFragmentPair
: <a class="el" href="namespaceOgre.html#e8f394829e3a85cea6faa915ac391653">Ogre</a>
<li>SceneQueryMovableWorldFragmentIntersectionList
: <a class="el" href="namespaceOgre.html#12d0977310ce2ed229d0345c620eff00">Ogre</a>
<li>SceneQueryResultMovableList
: <a class="el" href="namespaceOgre.html#eb1862543a1dcd5fc29dc4e549a71f15">Ogre</a>
<li>SceneQueryResultWorldFragmentList
: <a class="el" href="namespaceOgre.html#92a09e47bee5654fe8587a739dde5b80">Ogre</a>
<li>SceneType
: <a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af914">Ogre</a>
<li>SceneTypeMask
: <a class="el" href="namespaceOgre.html#a4b6dbd7bf722582a21fcc25d25f73ed">Ogre</a>
<li>ShadeOptions
: <a class="el" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f560">Ogre</a>
<li>ShadowCameraSetupPtr
: <a class="el" href="namespaceOgre.html#139829f6abc3581ec63563543ebfff15">Ogre</a>
<li>SHADOWDETAILTYPE_ADDITIVE
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d61bc71098f374fda7da49f39aa1700fd9">Ogre</a>
<li>SHADOWDETAILTYPE_INTEGRATED
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d67823678fe2b349b5d4af74328d4064d9">Ogre</a>
<li>SHADOWDETAILTYPE_MODULATIVE
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d65646b85f69631dc4820b877506f3b992">Ogre</a>
<li>SHADOWDETAILTYPE_STENCIL
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d677da660eef7a78214c39ffa491446285">Ogre</a>
<li>SHADOWDETAILTYPE_TEXTURE
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6025e0b181fc7ae3830880d9a802070c0">Ogre</a>
<li>ShadowRenderableFlags
: <a class="el" href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cc">Ogre</a>
<li>ShadowTechnique
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6">Ogre</a>
<li>ShadowTextureConfigList
: <a class="el" href="namespaceOgre.html#498ca415d30ec282949ce7dce9d1db69">Ogre</a>
<li>ShadowTextureList
: <a class="el" href="namespaceOgre.html#b5efceec9e1a6e88e156564c15e86f6a">Ogre</a>
<li>SHADOWTYPE_NONE
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6d88c064ffac66e1b186fb238861046ed">Ogre</a>
<li>SHADOWTYPE_STENCIL_ADDITIVE
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6f6e22c7a699e9d05015cecff7b68c52a">Ogre</a>
<li>SHADOWTYPE_STENCIL_MODULATIVE
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6f1b698ef34b8d97c261b7ade00010b7f">Ogre</a>
<li>SHADOWTYPE_TEXTURE_ADDITIVE
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d68a2b43e30e6d8d590e6853e4f46b8103">Ogre</a>
<li>SHADOWTYPE_TEXTURE_ADDITIVE_INTEGRATED
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d6c29b9727942e113575ea3947a89ae047">Ogre</a>
<li>SHADOWTYPE_TEXTURE_MODULATIVE
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d692a49d0584801cb7ea1e279004b30cf5">Ogre</a>
<li>SHADOWTYPE_TEXTURE_MODULATIVE_INTEGRATED
: <a class="el" href="namespaceOgre.html#79dcd426d291c31072c1ad6f183715d62867ba03ee4054517969ee7fac598e2e">Ogre</a>
<li>SKELETON_ANIMATION
: <a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bda559ee7367718e8c9ffdfd1af83c9ca8">Ogre</a>
<li>SKELETON_ANIMATION_LINK
: <a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd869ed880064984ab52e95a922efec6cd">Ogre</a>
<li>SKELETON_ANIMATION_TRACK
: <a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd691013153a33fde3a543deed39382c20">Ogre</a>
<li>SKELETON_ANIMATION_TRACK_KEYFRAME
: <a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bdebf5354fd4093986740b6f7a0b9c998e">Ogre</a>
<li>SKELETON_BONE
: <a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bdacf798731cab07af608a45eb331faa01">Ogre</a>
<li>SKELETON_BONE_PARENT
: <a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd60d951d9cd1e76668758a78eaa75e3af">Ogre</a>
<li>SKELETON_HEADER
: <a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd7ed2511945645204fe9f7423e32aea49">Ogre</a>
<li>SkeletonAnimationBlendMode
: <a class="el" href="namespaceOgre.html#230b218164ffe5e6ee8970bef57e6abd">Ogre</a>
<li>SkeletonChunkID
: <a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd">Ogre</a>
<li>SM_DIRECTION
: <a class="el" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3ab8681f59fb8a9ccea7b9b8bd39bdc562">Ogre</a>
<li>SM_DISTANCE
: <a class="el" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3ad9e5e193b92b711a1c2ea77b4ab7e0e9">Ogre</a>
<li>SO_FLAT
: <a class="el" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f5602278c661ac03aa3bb7177b6deef7ff99">Ogre</a>
<li>SO_GOURAUD
: <a class="el" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f5602973848ded9ca7c0f93a329e12181feb">Ogre</a>
<li>SO_PHONG
: <a class="el" href="namespaceOgre.html#7afd4c7d428baaee13f3a0dbcae5f560d65722b0fb2ac38cc603076dd057d57d">Ogre</a>
<li>SOP_DECREMENT
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb617faeb919637b85bed8650d8f1baf2ada">Ogre</a>
<li>SOP_DECREMENT_WRAP
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61b816aeb027a4e517237d053e5fedc2a7">Ogre</a>
<li>SOP_INCREMENT
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61e56b6038f9552a79b2b1d2ae036da86c">Ogre</a>
<li>SOP_INCREMENT_WRAP
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb616e595fbb31308c6b01f35221903f4706">Ogre</a>
<li>SOP_INVERT
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb614f9045fb414071aa89184ce5e88ec474">Ogre</a>
<li>SOP_KEEP
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61bf640cb28b5020509dc27178f0359511">Ogre</a>
<li>SOP_REPLACE
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61cbce9e054c373718a59dd56e51aa762a">Ogre</a>
<li>SOP_ZERO
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61910e7fedb6c873aaad581cfda6491b8a">Ogre</a>
<li>SortMode
: <a class="el" href="namespaceOgre.html#73dc0089e326fa37f93a30bf67ba7e3a">Ogre</a>
<li>SPOT_SHADOW_FADE_PNG
: <a class="el" href="namespaceOgre.html#30db14f415b0993296b298729b17021e">Ogre</a>
<li>SRF_EXTRUDE_TO_INFINITY
: <a class="el" href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cccb424293924baf3e1b2bb29041270fec">Ogre</a>
<li>SRF_INCLUDE_DARK_CAP
: <a class="el" href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cc33f01b987b6a184a90c99533cc257992">Ogre</a>
<li>SRF_INCLUDE_LIGHT_CAP
: <a class="el" href="namespaceOgre.html#5422f3d75ddc606ee01f69d14e37a8cc42b7242b2403601a94289579c0484b7e">Ogre</a>
<li>ST_EXTERIOR_CLOSE
: <a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af914e83ae1c9a6e4816184441db4a140e70a">Ogre</a>
<li>ST_EXTERIOR_FAR
: <a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af9148bf5864d5ab311e0512ed153c95f1d13">Ogre</a>
<li>ST_EXTERIOR_REAL_FAR
: <a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af9147eecd7057b3487616075032560582ec1">Ogre</a>
<li>ST_GENERIC
: <a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af9140af8f844019e52fe112e9a946a919fcd">Ogre</a>
<li>ST_INTERIOR
: <a class="el" href="namespaceOgre.html#7383602bd480d43b80c626969b9af91493f2170ad3a8132f29264dc3642a2dcf">Ogre</a>
<li>StencilOperation
: <a class="el" href="namespaceOgre.html#e8bb1cb809660de802d1d592ba4adb61">Ogre</a>
<li>String
: <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre</a>
<li>StringVector
: <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">Ogre</a>
<li>StringVectorPtr
: <a class="el" href="namespaceOgre.html#e6b84ceebcdcc285f37bf9fba216697d">Ogre</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:24 2008
</p>
</body>
</html>
